@import "src/styles/scss/partials/mixins";

.root {
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;

    &__input {
        height: 48px;
        width: 100%;
        border: 1px solid var(--gray-300);
        border-radius: var(--border-radius-xx-large);
        padding: 0 var(--spacing-x-large) 0 var(--spacing-xxx-large);
        outline: unset !important;
        @include font('body1')
    }

    &__icon {
        width: 16px;
        height: 16px;
        position: absolute;
        left: var(--spacing-large);

        path {
            stroke: var(--gray-700);
        }
    }
}